Bug 127979 - [Cocoa] Add NEFilterSource support to ContentFilterMac
Summary: [Cocoa] Add NEFilterSource support to ContentFilterMac
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andy Estes
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-01-30 18:28 PST by Andy Estes
Modified: 2014-02-05 16:16 PST (History)
3 users (show)

See Also:


Attachments
[Cocoa] Add NEFilterSource support to ContentFilterMac (9.55 KB, patch)
2014-01-30 18:49 PST, Andy Estes
no flags Details | Formatted Diff | Diff
[Cocoa] Add NEFilterSource support to ContentFilterMac (9.97 KB, patch)
2014-01-31 13:25 PST, Andy Estes
no flags Details | Formatted Diff | Diff
[Cocoa] Add NEFilterSource support to ContentFilterMac (9.99 KB, patch)
2014-01-31 13:27 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Buffer incoming data in ContentFilter when using NEFilterSource (6.35 KB, patch)
2014-02-04 18:02 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Buffer incoming data in ContentFilter when using NEFilterSource (6.49 KB, patch)
2014-02-05 00:42 PST, Andy Estes
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Estes 2014-01-30 18:28:06 PST
[Cocoa] Add NEFilterSource support to ContentFilterMac
Comment 1 Andy Estes 2014-01-30 18:28:31 PST
<rdar://problem/15061531>
Comment 2 Andy Estes 2014-01-30 18:49:59 PST
Created attachment 222781 [details]
[Cocoa] Add NEFilterSource support to ContentFilterMac
Comment 3 WebKit Commit Bot 2014-01-30 18:51:54 PST
Attachment 222781 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/mac/ContentFilterMac.mm:62:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Source/WebCore/platform/mac/ContentFilterMac.mm:63:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Source/WebCore/platform/mac/ContentFilterMac.mm:64:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Source/WebCore/platform/mac/ContentFilterMac.mm:65:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Source/WebCore/platform/mac/ContentFilterMac.mm:69:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Source/WebCore/platform/mac/ContentFilterMac.mm:70:  Line contains tab character.  [whitespace/tab] [5]
Total errors found: 6 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Andy Estes 2014-01-31 13:25:44 PST
Created attachment 222842 [details]
[Cocoa] Add NEFilterSource support to ContentFilterMac
Comment 5 Andy Estes 2014-01-31 13:27:04 PST
Created attachment 222843 [details]
[Cocoa] Add NEFilterSource support to ContentFilterMac
Comment 6 Andy Estes 2014-01-31 17:36:40 PST
Committed r163226: <http://trac.webkit.org/changeset/163226>
Comment 7 Andy Estes 2014-02-04 18:02:51 PST
Created attachment 223192 [details]
Buffer incoming data in ContentFilter when using NEFilterSource
Comment 8 Andy Estes 2014-02-04 18:03:18 PST
Re-opening to post an additional patch.
Comment 9 Andy Estes 2014-02-05 00:42:01 PST
Created attachment 223217 [details]
Buffer incoming data in ContentFilter when using NEFilterSource
Comment 10 Andy Estes 2014-02-05 16:16:06 PST
Committed r163486: <http://trac.webkit.org/changeset/163486>